<#macro pageNav method>
    <section class="page-navigator">
            <@paginationTag method="${method}"  slug="${slug!}" page="${posts.number}" keyword="${keyword}" total="${posts.totalPages}" display="3">
                <#if pagination.hasPrev>
                    <span class="prev">
                        <a  href="${pagination.prevPageFullPath!}" title="上一页">«</a>
                    </span>
                </#if>
                <#list pagination.rainbowPages as number>
                    <#if number.isCurrent>
                        <span class="current">
                            <a href="${number.fullPath!}">${number.page!}</a>
                    </span>
                    <#else>
                        <span>
                            <a href="${number.fullPath!}">${number.page!}</a>
                        </span>
                    </#if>
                </#list>
                <#if pagination.hasNext>
                    <span class="next">
                        <a  href="${pagination.nextPageFullPath!}" title="下一页">»</a>
                    </span>
                </#if>
        </@paginationTag>
    </section>
</#macro>